Skip to main content
GET
https://api.0xarchive.io
/
v1
/
data-quality
/
sla
Get SLA metrics
curl --request GET \
  --url https://api.0xarchive.io/v1/data-quality/sla \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.0xarchive.io/v1/data-quality/sla"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.0xarchive.io/v1/data-quality/sla', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.0xarchive.io/v1/data-quality/sla"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "period": "<string>",
  "sla_targets": {
    "uptime": 123,
    "data_completeness": 123,
    "api_latency_p99_ms": 123
  },
  "actual": {
    "uptime": 123,
    "data_completeness": {
      "orderbook": 123,
      "fills": 123,
      "funding": 123,
      "overall": 123
    },
    "api_latency_p99_ms": 123
  },
  "incidents_this_period": 123,
  "total_downtime_minutes": 123
}
{
  "code": 401,
  "error": "Missing or invalid API key. Provide X-API-Key header."
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://0xarchive.io/dashboard

Query Parameters

year
integer

Year (defaults to current year)

Example:

2026

month
integer

Month 1-12 (defaults to current month)

Required range: 1 <= x <= 12
Example:

1

Response

SLA metrics

SLA compliance response

period
string

Period covered (e.g., '2026-01')

sla_targets
object
actual
object
incidents_this_period
integer
total_downtime_minutes
integer
Last modified on July 7, 2026